Skip to content

Get scores by multiple userIds

POST
/score/userIds
curl --request POST \
--url https://api.ethos.network/api/v2/score/userIds \
--header 'Content-Type: application/json' \
--data '{ "userIds": [ 1 ] }'

Bulk form of /score/userId. Returns an object keyed by user id. Unknown ids return 0 and untrusted.

Media typeapplication/json
object
userIds
required
Array<integer>

Example generated

{
"userIds": [
1
]
}

Successful response

Media typeapplication/json
object
key
additional properties
object
score
number
<= 2800
level
required
string
Allowed values: untrusted questionable neutral known established reputable exemplary distinguished revered renowned

Example

{
"additionalProperty": {
"level": "untrusted"
}
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}